#ifndef _SERIAL_PORT_LINUX_H
#define _SERIAL_PORT_LINUX_H

#include "hal_serial.h"

SerialPort SerialPort_create(const char* interfaceName, int baudRate, uint8_t dataBits, char parity, uint8_t stopBits);

void SerialPort_destroy(SerialPort self);

#endif
